LinkedIn Posts API
curl --request POST \
--url https://api.socq.ai/v1/linkedin/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/linkedin/posts"
payload = { "urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>']})
};
fetch('https://api.socq.ai/v1/linkedin/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}LinkedIn 帖子
采集公开LinkedIn发布数据。
POST
/
v1
/
linkedin
/
posts
LinkedIn Posts API
{
"urls": ["https://www.linkedin.com/posts/example_activity-123456789"]
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/linkedin/posts |
| Compact MCP | socq_execute 与 endpoint: "linkedin/posts" |
| Typed MCP | socq_linkedin_posts |
| 精确工具 URL | https://api.socq.ai/mcp?tools=linkedin_posts |
| CLI | socq linkedin posts |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。text中返回;作者、参与度指标、媒体和出版时间使用标准帖子结构。
任务完成响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "succeeded",
"public_id": "linkedin/posts",
"result_count": 1,
"credits_amount": 1,
"results": {
"limit": 50,
"next_cursor": null,
"has_more": false,
"items": [{
"id": "123456789",
"platform": "linkedin",
"resource": "posts",
"type": "post",
"url": "https://www.linkedin.com/posts/example_activity-123456789",
"text": "Sharing our latest product update.",
"author": {"id": "example", "username": "Example Person", "name": "Example Person", "url": "https://www.linkedin.com/in/example"},
"metrics": {"likes_count": 320, "comments_count": 18, "reposts_count": 6},
"media": [],
"created_at": "2026-07-16T08:00:00",
"collected_at": "2026-07-17T10:30:00",
"extra": {"post_type": "original", "hashtags": ["product"]}
}]
}
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Public profile or content URLs.
Minimum array length:
1Minimum string length:
1⌘I

